{% extends "styleguide2/base.html" %}

{% load wagtailcore_tags wagtailimages_tags %}

{% block content %}
  {% block navbar %}
    {% include 'styleguide2/includes/organisms/layout/district/navbar.html' with selected_item=page.get_menu_title %}
  {% endblock %}

  {% image page.background_photo fill-1920x1080 as background_image %}

  {% include 'styleguide2/includes/organisms/header/district/center_header.html' with title=page.title description=page.perex map_area_content=page.map_area_content map_address_content=page.map_address_content background_photo=background_image %}

  <main role="main">
    {% include "styleguide2/includes/molecules/program/secondary_card_program.html" %}

    <div class="container--wide flex flex-col gap-6 my-6">
      {% for block in page.content %}
        {% include_block block %}
      {% endfor %}

      {% if page.calendar %}
        <div class="container--medium mx-auto px-4">
          <h2 class="head-14xl xl:leading-[10.5rem] mb-4 xl:mb-8">
            Kalendář
          </h2>

          {% include 'styleguide2/includes/atoms/calendar/calendar.html' with calendar_data=page.get_fullcalendar_data %}
        </div>
      {% endif %}
    </div>

    {% comment %}
      {% include 'styleguide2/includes/organisms/main_section/small_newsletter_section.html' %}
    {% endcomment %}
  </main>
{% endblock %}
